<?php
namespace FiloBlu\Storelocator\Controller\Index;

class Shop extends \Magento\Framework\App\Action\Action
{
    protected $_pageFactory;

    /** @var \FiloBlu\Storelocator\Helper\Data */
    protected $helper;

    protected $storesFactory;

    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $pageFactory,
        \FiloBlu\Storelocator\Helper\Data $helper,
        \FiloBlu\Storelocator\Model\StoresFactory $storesFactory
    )
    {
        $this->_pageFactory = $pageFactory;
        $this->helper = $helper;
        $this->storesFactory = $storesFactory;
        return parent::__construct($context);
    }

    public function execute()
    {
        $shopId = $this->getRequest()->getParam('id');
        
        $shop = $this->storesFactory->create()->load($shopId);

        $resultPage = $this->_pageFactory->create();
        $resultPage->getConfig()->getTitle()->set($shop->getTitle());
        return $resultPage;
    }
}